GCLOUD_COMPUTE_INSTANCE-GROUPS_MANAGED_RECREATE-INSTANCES(1)

NAME

gcloud compute instance-groups managed recreate-instances - recreate instances managed by a managed instance group

SYNOPSIS

gcloud compute instance-groups managed recreate-instances NAME --instances INSTANCE,[INSTANCE,...] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instance-groups managed recreate-instances is used to recreate one or more instances in a managed instance group. The underlying virtual machine instances are deleted and recreated based on the latest instance template configured for the managed instance group.

POSITIONAL ARGUMENTS
NAME
    Managed instance group name.

REQUIRED FLAGS
--instances INSTANCE,[INSTANCE,...]
    Names of instances to recreate.

OPTIONAL FLAGS
--zone ZONE
    The zone of the instance group manager to recreate instances. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.